summaryrefslogtreecommitdiffstats
path: root/tests/dimension/arithexp.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@gmail.com>2009-11-24 21:49:06 -0500
committerTavian Barnes <tavianator@gmail.com>2009-11-24 21:49:06 -0500
commitf1b92556c2189b5b5dbd5d81d966f2d2a8e9b2ab (patch)
treef4addfcd09e728e64b74298e381e43e28ba58798 /tests/dimension/arithexp.sh
parenta3a951ce9e87af1036c97c99987812273f62224c (diff)
downloaddimension-f1b92556c2189b5b5dbd5d81d966f2d2a8e9b2ab.tar.xz
New arithmetic expression test.
Diffstat (limited to 'tests/dimension/arithexp.sh')
-rwxr-xr-xtests/dimension/arithexp.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/tests/dimension/arithexp.sh b/tests/dimension/arithexp.sh
new file mode 100755
index 0000000..4d89387
--- /dev/null
+++ b/tests/dimension/arithexp.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+#########################################################################
+# Copyright (C) 2009 Tavian Barnes <tavianator@gmail.com> #
+# #
+# This file is part of The Dimension Test Suite. #
+# #
+# The Dimension Test Suite is free software; you can redistribute it #
+# and/or modify it under the terms of the GNU General Public License as #
+# published by the Free Software Foundation; either version 3 of the #
+# License, or (at your option) any later version. #
+# #
+# The Dimension Test Suite is distributed in the hope that it will be #
+# useful, but WITHOUT ANY WARRANTY; without even the implied warranty #
+# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU #
+# General Public License for more details. #
+# #
+# You should have received a copy of the GNU General Public License #
+# along with this program. If not, see <http://www.gnu.org/licenses/>. #
+#########################################################################
+
+arithexp=$(${top_builddir}/dimension/dimension --tokenize --parse ${srcdir}/arithexp.pov)
+arithexp_exp='(sphere { < (float "1.0") , \( (float "1.0") + (integer "2") \) * (integer "2") - (integer "5") , (float "1.0") + (integer "2") * (integer "2") - (integer "4") > - - < (integer "0") , (integer "0") , (integer "1") > , (float "2.25") - (integer "1") * (integer "2") })
+((sphere (vector (float 0) (float 0) (float 0) (integer 0) (integer 0)) (float 0.25)))'
+
+if [ "$arithexp" != "$arithexp_exp" ]; then
+ echo "arithexp.pov parsed as \"$arithexp\"" >&2
+ echo " -- expected \"$arithexp_exp\"" >&2
+ exit 1
+fi